window.Gleam.initSearch([{"doc":"gleam_hackney","title":"gleam_hackney","content":"# Hackney\n\n&lt;a href=&quot;https://github.com/gleam-lang/hackney/releases&quot;&gt;&lt;img src=&quot;https://img.shields.io/github/release/gleam-lang/hackney&quot; alt=&quot;GitHub release&quot;&gt;&lt;/a&gt;\n&lt;a href=&quot;https://discord.gg/Fm8Pwmy&quot;&gt;&lt;img src=&quot;https://img.shields.io/discord/768594524158427167?color=blue&quot; alt=&quot;Discord chat&quot;&gt;&lt;/a&gt;\n![CI](https://github.com/gleam-lang/hackney/workflows/test/badge.svg?branch=main)\n\nBindings to Erlang&#39;s `hackney` HTTP client.\n\n```gleam\nimport gleam/result.{try}\nimport gleam/hackney\nimport gleam/http.{Get}\nimport gleam/http/request\nimport gleam/http/response\nimport gleeunit/should\n\npub fn main() {\n  // Prepare a HTTP request record\n  let assert Ok(request) =\n    request.to(&quot;https://test-api.service.hmrc.gov.uk/hello/world&quot;)\n\n  // Send the HTTP request to the server\n  use response &lt;- try(\n    request\n    |&gt; request.prepend_header(&quot;accept&quot;, &quot;application/vnd.hmrc.1.0+json&quot;)\n    |&gt; hackney.send\n  )\n\n  // We get a response record back\n  response.status\n  |&gt; should.equal(200)\n\n  response\n  |&gt; response.get_header(&quot;content-type&quot;)\n  |&gt; should.equal(Ok(&quot;application/json&quot;))\n\n  response.body\n  |&gt; should.equal(&quot;{\\&quot;message\\&quot;:\\&quot;Hello World\\&quot;}&quot;)\n\n  Ok(response)\n}\n```\n\n## Installation\n\n```shell\ngleam add gleam_hackney\n```\n","url":"index.html"},{"doc":"gleam/hackney","title":"Error","content":"pub type Error {\n  InvalidUtf8Response\n  Other(Dynamic)\n}\n\nInvalidUtf8Response\n\n\nOther(Dynamic)\n\n\nSynonyms:\ngleam/hackney.Error\ngleam/hackney Error","url":"gleam/hackney.html#Error"},{"doc":"gleam/hackney","title":"send","content":"pub fn send(\n  req: Request(String),\n) -&gt; Result(Response(String), Error)\n\nSynonyms:\ngleam/hackney.send\ngleam/hackney send","url":"gleam/hackney.html#send"},{"doc":"gleam/hackney","title":"send_bits","content":"pub fn send_bits(\n  request: Request(BytesBuilder),\n) -&gt; Result(Response(BitArray), Error)\n\nSynonyms:\ngleam/hackney.send_bits\ngleam/hackney send_bits","url":"gleam/hackney.html#send_bits"},{"doc":"gleam/hackney","title":"gleam/hackney","content":"","url":"gleam/hackney.html"}]);